
function QuickGolemTower()
    KEY()
    MNA()CMU("CS_Dr")
    MOV(4,60,0)
    MOV(3,60,1)
    SLR(1)
    FAI(3)
end

function Back()
    PRI()
    TUR()MS4("\nCannot escape!")NOD()
end

function Floor1Golem()
    KEY()
    DNP("Floor1Golem")
    MOV(PLY())
    MM0()
    ANP("Floor1CameraH","disable_focus")
    FON("Floor1Camera1")
    --左力场
    for i=47,57,1 do
        SNP("CS_forcefield",12,i,0,"mainLayer","ForcefieldL")
    end
    --右力场
    for i=46,57,1 do
        SNP("CS_forcefield",50,i,0,"mainLayer","ForcefieldR")
    end
    WAI(16)
    CNP("Floor1GolemPaper1","CS_enemy_golempaper",0)
    CNP("Floor1GolemPaper2","CS_enemy_golempaper",0)
    ANP("Floor1GolemPaper1",1060)
    ANP("Floor1GolemPaper2",1060)
    WAI(120)
    ANP("Floor1GolemPaper1","action")
    ANP("Floor1GolemPaper2","action")
    --设置AIBossFight
    FLP("AIBossFight")
end

--击败布1
function Floor1GolemPaper1()
    FLP("Floor1GolemPaper1")
    GoNextStair1()
end

--击败布2
function Floor1GolemPaper2()
    FLP("Floor1GolemPaper2")
    GoNextStair1()
end

--去下一层阶梯
function GoNextStair1()
    if(FLJ("Floor1GolemPaper1") and FLJ("Floor1GolemPaper2")) then
        KEY()
        FLS("AIBossFight")
        FON("Floor1Camera2")
        WAI(32)
        DNP("ForcefieldR")
        WAI(32)
        FOM()
        ANP("Floor1CameraH","enable_focus")
    end
end

function GoUpFloor2()
    KEY()
    WAI(32)
    HMC(0)HMC(1)
    WAI(32)
    MOV(PLY())
    MOV(61,39,0,61)
    WAI(60)
    SMC(0)SMC(1)
    SLR(0)
end

function Floor2Golem()
    KEY()
    DNP("Floor2Golem")
    MOV(PLY())
    MM0()
    ANP("Floor2CameraH","disable_focus")
    FON("Floor2Camera1")
    --左力场
    for i=25,35,1 do
        SNP("CS_forcefield",12,i,0,"mainLayer","ForcefieldL")
    end
    --右力场
    for i=24,35,1 do
        SNP("CS_forcefield",50,i,0,"mainLayer","ForcefieldR")
    end
    WAI(16)
    CNP("Floor2GolemScissors1","CS_enemy_golemscissors",0)
    CNP("Floor2GolemScissors2","CS_enemy_golemscissors",0)
    ANP("Floor2GolemScissors1",1060)
    ANP("Floor2GolemScissors2",1060)
    WAI(120)
    ANP("Floor2GolemScissors1","action")
    ANP("Floor2GolemScissors2","action")
    FLP("AIBossFight")
end

--击败剪刀1
function Floor2GolemScissors1()
    FLP("Floor2GolemScissors1")
    GoNextStair2()
end

--击败剪刀2
function Floor2GolemScissors2()
    FLP("Floor2GolemScissors2")
    GoNextStair2()
end

--去下一层阶梯
function GoNextStair2()
    if(FLJ("Floor2GolemScissors1") and FLJ("Floor2GolemScissors2")) then
        KEY()
        FLS("AIBossFight")
        FON("Floor2Camera2")
        WAI(32)
        DNP("ForcefieldL")
        WAI(32)
        FOM()
        ANP("Floor2CameraH","enable_focus")
    end
end

function GoUpFloor3()
    KEY()
    WAI(32)
    HMC(0)HMC(1)
    WAI(32)
    MOV(PLY())
    MOV(3,16,0,3)
    WAI(60)
    SMC(0)SMC(1)
    SLR(1)
end

function Floor3Golem()
    KEY()
    DNP("Floor3Golem")
    MOV(PLY())
    MM0()
    ANP("Floor3CameraH","disable_focus")
    FON("Floor3Camera1")
    --左力场
    for i=3,13,1 do
        SNP("CS_forcefield",12,i,0,"mainLayer","ForcefieldL")
    end
    --右力场
    for i=2,13,1 do
        SNP("CS_forcefield",50,i,0,"mainLayer","ForcefieldR")
    end
    WAI(16)
    CNP("Floor3GolemRock1","CS_enemy_golemrock",0)
    CNP("Floor3GolemRock2","CS_enemy_golemrock",0)
    ANP("Floor3GolemRock1",1060)
    ANP("Floor3GolemRock2",1060)
    WAI(120)
    ANP("Floor3GolemRock1","action")
    ANP("Floor3GolemRock2","action2")
    FLP("AIBossFight")
end

--击败石头1
function Floor3GolemRock1()
    FLP("Floor3GolemRock1")
    GoNextStair3()
end

--击败石头2
function Floor3GolemRock2()
    FLP("Floor3GolemRock2")
    GoNextStair3()
end

--去下一层阶梯
function GoNextStair3()
    if(FLJ("Floor3GolemRock1") and FLJ("Floor3GolemRock2")) then
        KEY()
        FLS("AIBossFight")
        CMU("CS_Fanfale3")
        MS4("\nFinished Golem Tower Challenge!")WAI(140)NOD()CLO()
        FAO(2)
        FLP("DefeatedGolemTower")
        FLS("Floor1GolemPaper1")
        FLS("Floor1GolemPaper2")
        FLS("Floor2GolemScissors1")
        FLS("Floor2GolemScissors2")
        FLS("Floor3GolemRock1")
        FLS("Floor3GolemRock2")
        TRA("CS_bossrush_mainstage","E0090",17,64)
    end
end

function Died()
    CMU("XXXX")WAI(30)
    FAO(2)
    FLS("AIBossFight")
    FLS("Floor1GolemPaper1")
    FLS("Floor1GolemPaper2")
    FLS("Floor2GolemScissors1")
    FLS("Floor2GolemScissors2")
    FLS("Floor3GolemRock1")
    FLS("Floor3GolemRock2")
    SMC(0)SMC(1)LIP(1000)MIP(1000)TRA("CS_bossrush_mainstage","E0090",17,64)
end

function DeathByMovingPlatform()
    Died()
end